function check_registry() 
#    basedir = joinpath(dirname(pathof(MLJModels)), "registry")
    basedir = Registry.environment_path
    Pkg.activate(basedir)

    # Read Metadata.toml
    dict = TOML.parsefile(joinpath(basedir, "Metadata.toml"))

    # There will be warnings for ambiguous things, ignore them
    for (package, model_dict) in dict
        for (model, meta) in model_dict
            # check if new entry or changed entry, otherwise don't test
            key = "$package.$model"
            try
                load(model; pkg=package, verbosity=-1)
                # add/refresh entry
                print(rpad("Entry for $key was loaded properly ✓", 79)*"\r")
            catch
                println("⚠ there was an issue trying to load $key")
            end
        end
    end
end

